Quassel IRC - Bug #597

User mode removal
03/06/2009 10:29 PM - Lingerance

Status: Rejected Start date: 03/06/2009
Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.4.0 0S: Any
Description

User modes are removed when connecting to a server.

*** Mode Lingerance +xz by Lingerance
*** Mode Lingerance -x by Lingerance

The first line is actually the server setting the user mode, the second is Quassel removing +x (cloaking on SlashNet).

History

#1 - 03/08/2009 02:35 PM - EgS
- Status changed from New to Feedback

- Assignee set to EgS

Quassel restores your old user modes during session restore. So unless you explicitly issued a mode -x in your last session, this is most likely due to
upgrading from an older version that didnt have this feature.

Just set mode +x and everything will be fine in the future (even after core restarts).
Let me know if the issue still occurs.

#2 - 03/08/2009 10:39 PM - Lingerance

Oh, that explains it, | did upgrade the core recently. So far I've been disconnected from SlashNet a few times since then (I had manually added the
+x again) and haven't had the issue.

#3 - 03/09/2009 01:25 AM - EgS
- Status changed from Feedback to Rejected

thanks for the feedback.
In this case | think | can close the BR.

#4 - 08/29/2009 08:02 AM - Lingerance

Actually, it did this again when | created a new server. This was from a recent git version (shortly after styling was merged).

#5 - 08/29/2009 09:28 PM - Lingerance

Quassel will also remove +0 after I've issued /oper for the same reason. | had the /oper statement in the "commands to execute on connect" box.
